Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84157 - Gdm show time in wrong format
Summary: Gdm show time in wrong format
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79579 CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-02-12 21:29 UTC by Leonid Kanter
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-10 20:49:06 UTC


Attachments (Terms of Use)

Description Leonid Kanter 2003-02-12 21:29:36 UTC
Description of problem:

Default time format on gdm login screen is wrong. My current 
time is 23:11, but on gdm login screen it's 11:11 without any am/pm.
Most European locales (including my Russian) use 24-hours time format.

Version-Release number of selected component (if applicable):

2.4.1.3-1

Comment 1 Kjartan Maraas 2003-02-13 00:10:22 UTC
Turns out the translation was broken. You just change

"%a %b %d, %I:%M %p" to
"%a %b %d, %H:%M" in the translation to get the 24 hour equivalent.

I just checked the Ukrainian translation in GNOME CVS and it is indeed broken
just like the norwegian one was. I've fixed it upstream for my translation, but
I can't fix the other ones myself.


Note You need to log in before you can comment on or make changes to this bug.